claw::max_vector< E, Comp, Container > Class Template Reference

Fill a container with some values, keeping only all the "maximum" inserted values. More...

`#include <max_vector.hpp>`

## Public Types

typedef E | value_type
| The type of the values stored in the container.
typedef Comp | comparator_type
| The comparator used to compare the values inserted.
typedef Container | container_type
| The type of the container in which the values are stored.

## Public Member Functions

| max_vector (const value_type &e)
void | add (const value_type &e)
const container_type & | get_v () const

## Detailed Description

template<typename E, typename Comp = std::less<E>, typename Container = std::vector<E>>
class claw::max_vector< E, Comp, Container >

Fill a container with some values, keeping only all the "maximum" inserted values.

Adding a value greater than the previous ones remove all the old values.

Template parameters:

- Parameters

    E | the type of the stored values.

- Parameters

    Comp | how to compare the old values with the new ones.

- Parameters

    Container | the type of the container in which the values are stored.

  Author
    Julien Jorge

Definition at line 55 of file max_vector.hpp.

## Member Typedef Documentation

## comparator_type

template<typename E, typename Comp = std::less<E>, typename Container = std::vector<E>>

typedef Comp claw::max_vector< E, Comp, Container >::comparator_type

The comparator used to compare the values inserted.

Definition at line 62 of file max_vector.hpp.

## container_type

template<typename E, typename Comp = std::less<E>, typename Container = std::vector<E>>

typedef Container claw::max_vector< E, Comp, Container >::container_type

The type of the container in which the values are stored.

Definition at line 65 of file max_vector.hpp.

## value_type

template<typename E, typename Comp = std::less<E>, typename Container = std::vector<E>>

typedef E claw::max_vector< E, Comp, Container >::value_type

The type of the values stored in the container.

Definition at line 59 of file max_vector.hpp.

The documentation for this class was generated from the following file:

- max_vector.hpp